﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 2012B: ADJ VISA /5800A+1Ch
DATE:                  2010-08-31 13:48:07
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       151
CONFIGURATION:         Fluke 5800A
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY, ZY
# 
#  Models covered:
#        TDS 2012B
# 
#  Source(s):
#        TDS1000B and TDS2000B Series Digital Storage Oscilloscopes
#        Service Manual, PN 071-1828-00
# 
#  Compatibility:
#        MET/CAL 7.20 SP3 (7.20Z) or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub Audible Operator Prompt
#        Sub High Voltage Safety Warning
#        Sub IEEE-488.2 Identification Query VISA
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek TDS1000B/2000B ADJ Required Equipment /5800
#        Sub Tek TDS1000B/2000B USB Remote Interface Connection
#        Sub Tek TDS1000B/2000B Specifications
#        Sub Tek TDS1000B/2000B Cal Steps VISA /5800
#        Sub Tek TDS1000B/2000B Cal Sig Path Comp VISA
#        Sub Tek TDS1000B/2000B Check Cal Status VISA
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        See "Sub Tek TDS1000B/2000B ADJ Required Equipment /5800"
# 
# The procedure was tested using:
#
#        Model No  : Tektronix TDS 2012B
#        Serial No : C055408
#        Options   :
#        Firmware  : CF:91.1CT FV:v22.01
#
# Average run time during testing :  19 min
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  5800         100MH                        1Vpp           LS S6 S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V

  1.005  IF           NOT(VERSIONCHECK("7.20Z"))
  1.006  END
  1.007  ENDIF

  1.008  CALL         Sub Display Copyright

  1.009  DISP         Ensure a minimum UUT warm-up time of at least
  1.009  DISP         10 minutes has been allowed to elapse, prior
  1.009  DISP         to beginning adjustment.

  1.010  HEAD         COMMUNICATION SETUP
  1.011  TARGET
  1.012  CALL         Sub Tek TDS1000B/2000B USB Remote Interface Connection
  1.013  VISA         *RST

  1.014  HEAD         UUT IDENTIFICATION
  1.015  CALL         Sub IEEE-488.2 Identification Query VISA
  1.016  MATH         @UUT_Model = "TDS 2012B"
  1.017  MATH         @UUT_Manufacturer = "Tektronix"
  1.018  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.019  JMPL         END                          @Abort

  1.020  CALL         Sub Tek TDS1000B/2000B Specifications

  1.021  HEAD         EQUIPMENT REQUIREMENTS
  1.022  OPBR         -z Do you want to REVIEW the list of additional
  1.022  OPBR         equipment and/or accessories required?

  1.023  IF           MEM1
  1.024  CALL         Sub Tek TDS1000B/2000B ADJ Required Equipment /5800
  1.025  ENDIF

# Query self test result. if failed, abort the procedure
  1.026  VISA         DIA:RESU:FLA?[I$]

  1.027  IF           ZCMPI(MEM2, "FAIL")
  1.028  DISP         Self Test failed, procedure will be aborted.
  1.029  END
  1.030  ENDIF

  1.031  HEAD         START CALIBRATION
  1.032  TARGET
  1.033  MATH         @Abort = 0

  1.034  DO
  1.035  CALL         Sub Tek TDS1000B/2000B Cal Steps VISA /5800

  1.036  IF           @Error
  1.037  OPBR         -z Failure occurred during the calibration adjustment.
  1.037  OPBR
  1.037  OPBR         Do you wish to retry the calibration?
  1.038  MATH         @Abort = NOT(MEM1)
  1.039  ENDIF

  1.040  UNTIL        NOT(@Error) || @Abort

  1.041  JMPL         END                          @Abort

  1.042  CALL         Sub Tek TDS1000B/2000B Cal Sig Path Comp VISA

  1.043  LABEL        END

  1.044  IF           @Abort
  1.045  HEAD         A D J U S T M E N T   A B O R T E D !
  1.046  ELSE
  1.047  HEAD         A D J U S T M E N T   C O M P L E T E
  1.048  ENDIF

  1.049  VISA         *RST
  1.050  END
